use ntex::web::{self, HttpResponse};
use yarte::TemplateMin;

#[derive(TemplateMin)]
#[template(path = "index")]
struct MainPageTemplate;

#[web::get("/")]
pub async fn index() -> HttpResponse {
    HttpResponse::Ok()
        .content_type("text/html; charset=utf-8")
        .body(MainPageTemplate {}.to_string())
}
